
import { createRouter, createWebHistory } from 'vue-router'

const routes=[
  {
    path: '/',
    redirect: '/reportdtl'
  },
  {
    path: "/reportdtl",
    name: "reportDetail",
    component: () => import("@/views/report/reportDetail.vue"),
  },
  {
    path: "/reportEn",
    name: "reportEn",
    component: () => import("@/views/reportEn/detail.vue"),
  },
]

const router = createRouter({
  history: createWebHistory(import.meta.env.VITE_APP_BASE_URL),
  routes,
});

router.beforeEach((to, from, next) => {
  next();
});

export default router;
